Bug 987499 - libreoffice dep explosion from pentaho-reporting-flow-engine
libreoffice dep explosion from pentaho-reporting-flow-engine
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 10:06 EDT by Kalev Lember
Modified: 2013-10-08 07:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 07:07:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2013-07-23 10:06:32 EDT
libreoffice 4.1.0.3-2.fc20 pulls in 10 MB worth of additional dependencies, total of 18 new packages. I am afraid this is going to create issues with the Desktop live cd size. See the discussion at https://bugzilla.redhat.com/show_bug.cgi?id=958426 about the F19 live media size issues.

Updating:
 libreoffice                   x86_64 1:4.1.0.3-2.fc20    rawhide  41 k
 libreoffice-langpack-en       x86_64 1:4.1.0.3-2.fc20    rawhide  41 k
Installing for dependencies:
 apache-commons-logging        noarch 1.1.3-1.fc20        rawhide  74 k
 bouncycastle                  noarch 1.46-7.fc19         rawhide 2.4 M
 bouncycastle-mail             noarch 1.46-7.fc19         rawhide 567 k
 bouncycastle-tsp              noarch 1.46-6.fc19         rawhide  94 k
 flute                         noarch 1.3.0-10.OOo31.fc19 rawhide  61 k
 itext-core                    noarch 2.1.7-19.fc19       rawhide 1.4 M
 javamail                      noarch 1.5.0-3.fc20        rawhide 604 k
 libbase                       noarch 1.1.3-8.fc19        rawhide 123 k
 libfonts                      noarch 1.1.3-10.fc19       rawhide 208 k
 libformula                    noarch 1.1.3-8.fc19        rawhide 314 k
 liblayout                     noarch 0.2.10-7.fc19       rawhide 653 k
 libloader                     noarch 1.1.3-7.fc19        rawhide  96 k
 librepository                 noarch 1.1.3-7.fc19        rawhide  63 k
 libserializer                 noarch 1.1.2-8.fc19        rawhide  33 k
 pentaho-libxml                noarch 1.1.3-8.fc19        rawhide  82 k
 pentaho-reporting-flow-engine noarch 1:0.9.4-7.fc19      rawhide 283 k
 sac                           noarch 1.3-15.fc19         rawhide  17 k
 xml-commons-apis              noarch 1.4.01-12.fc20      rawhide 225 k

[snip]
Comment 1 David Tardon 2013-07-24 05:59:39 EDT
pentaho-flow-reporting-engine is a dependency of reportbuilder, which I dropped by mistake when merging -reportbuilder subpackage into -base (IOW, the additional deps should have been in F-19 already).
Comment 2 Fedora End Of Life 2013-09-16 10:43:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Caolan McNamara 2013-10-08 07:07:05 EDT
hopefully the space savings can be found elsewhere rather than dropping reportbuilder

Note You need to log in before you can comment on or make changes to this bug.